Updates the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "b942f3a4-4e21-475f-8624-ff70301fd9eb",
  "user_id": "3bd1020c-c8f8-431c-a01e-72971f4b3291",
  "user_planning_slot_type_id": "55a3d449-8e75-4076-aaf3-848374cc8357",
  "date_from": "2026-10-27T01:48:38.1345821+00:00",
  "date_to": "2026-10-27T01:48:38.1345821+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-27T01:48:38.1345821+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.